<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:decorate template="/layout/form/_edit.xhtml">
        <ui:param name="id" value="appliesOnInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.xval.AppliesOn']}</ui:define>
        <rich:autocomplete value="#{locator.appliesOn}"
                           autocompleteList="#{ruleEditorManager.getKeywords()}"
                           mode="client" layout="list"
                           id="appliesOnInput"/>
    </s:decorate>
    <s:decorate template="/layout/form/_edit.xhtml">
        <ui:param name="id" value="xpathInput"/>
        <ui:define name="label">#{messages['net.ihe.gazelle.xval.XPath']}</ui:define>
        <h:inputTextarea value="#{locator.path}" style="resize:both"
                         id="xpathInput" styleClass="form-control"/>
    </s:decorate>
</ui:composition>
